<div class="container-fluid">
    <div class="row" st-table="booksDisplayed" st-safe-src="books">
        <div class="col-xs-12">

            <h3>Весь список книг</h3>

            <div class="row">
                <div class="col-xs-12 col-md-2">
                    <label for="stateSelect">Состояние чтения :</label>
                </div>
                <div class="col-xs-12 col-md-2">
                    <select id="stateSelect" ng-model="stateSelect" st-search="state">
                        <option value="">Все</option>
                        <option value="Не прочитана">Не прочитана</option>
                        <option value="Отложена">Отложена</option>
                        <option value="Читаю сейчас">Читаю сейчас</option>
                        <option value="Прочитал">Прочитал</option>

                    </select>
                </div>

                <div class="col-xs-12 col-md-offset-1 col-md-3">
                    <label for="searchAll">Общий поиск в библиотеке:</label>
                </div>
                <div class="col-md-2">
                    <input st-search="" type="text" id="searchAll" placeholder="Поиск">
                </div>
            </div>


            <ul class="nav nav-tabs" id="idUlGenresListBook">

                <!--   ng-class формирует динамически class="active" со значением true/false из функции контроллера  -->
                <li ng-class="{active:isSelected('')}">
                    <a ng-click="select('')">Весь список книг</a>
                </li>
                <li ng-repeat="genre1 in genres" ng-class="{active:isSelected(genre1.genre)}">
                    <a ng-click="select(genre1.genre)">{{genre1.genre}}</a>
                </li>
            </ul>

            <!--            <div class="pre-scrollable">-->
            <table class="table">
                <thead>
                    <tr>
                        <th st-sort="title" class="col-md-2">Название</th>
                        <th st-sort="author" class="col-md-1">Автор</th>
                        <th st-sort="state" class="col-md-1">Состояние</th>

                        <th st-sort="addDate" class="col-md-1">Когда добавлена</th>
                        <th class="col-md-1"></th>
                    </tr>
                </thead>
                <tbody>

                    <tr ng-repeat="book in booksDisplayed | filter : {genre:selectedGenre} | filter : {state:stateSelect} ">
                        <!--                    <tr ng-repeat="book in books">-->
                        <td>
                            <div  ng-show="isLogin()">
                                <div ng-controller="OneBookController">
                                    <button class="btn btn-link" ng-click="showEditForm(book)">{{book.title}}</button>
                                </div>
                            </div>
                            <div ng-hide="isLogin()">
                                {{book.title}}
                            </div>
                        </td>
                        <td>{{book.author}}</td>
                        <td>{{book.state}}</td>
                        <td>{{book.addDate | date:'dd.MM.yyyy'}}</td>
                        <td>
                            <div class="row">
                                <!--
                                <div class="col-md-3">
                                    <div ng-controller="OneBookController">
                                        <button class="btn btn-sm btn-primary" ng-click="showEditForm(book)">Ред.</button>
                                    </div>
                                </div>
-->
                                <div class="col-md-6" ng-show="isLogin()">
                                    <div ng-controller="ReviewBookController">
                                        <button class="btn btn-sm btn-outline" ng-click="showEditForm(book)">Заметки</button>
                                    </div>
                                </div>

                                <div class="col-md-6" ng-show="isLogin()">
                                    <button type="button" ng-click="removeItem(book)" class="btn btn-sm btn-danger">
                                        <i class="glyphicon glyphicon-remove-circle">
                                            </i>
                                    </button>
                                </div>
                            </div>
                        </td>

                    </tr>

                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="5" class="text-center">
                            <div st-pagination="" st-items-by-page="5" st-displayed-pages="5"></div>
                        </td>
                    </tr>
                </tfoot>
            </table>

        </div>
    </div>
    <!--  (row = form) с кнопками   -->
    <form class="form-horizontal" ng-show="isLogin()">


        <div class="form-group">

            <div class="col-xs-12 col-sm-2">
                <div ng-controller="OneBookController">
                    <button class="btn btn-primary" ng-click="showAddForm()">Добавить книгу</button>
                </div>
            </div>
        </div>


    </form>
</div>